// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

// deprecated replaced with getCookieCulture
export function getLocalCultureSaved() {
    return getCookieCulture();
}

// deprecated replaced with setCookieCulture
export function saveLocalCulture(value) {
    setCookieCulture(value);
}

export function getCookieCulture() {
    //return window.localStorage['BlazorCulture'];
    const name = 'uic=';
    let value = getCookie('.AspNetCore.Culture');
    value = decodeURI(value);
    let culture = value?.substring(value.indexOf(name) + name.length) ?? '';
    return culture ?? '';
}

export function setCookieCulture(value) {
    //window.localStorage['BlazorCulture'] = value;
    setCookie('.AspNetCore.Culture', 'c=' + value + '|uic=' + value, 365); // c=fr-CH|uic=fr-CH
    document.documentElement.setAttribute("lang", value);
}

export function setCookie(name, value, days) {

    let expires = "";

    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    }

    document.cookie = name + "=" + value + expires + "; path=/";
}

export function getCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1, c.length);
        }
        if (c.indexOf(nameEQ) == 0) {
            return c.substring(nameEQ.length, c.length);
        }
    }
    return null;
}

export function clearCookie(name) {
    setCookie(name, "", -1);
}