
export function initialize(id, componentInstance) {

    const modal = document.getElementById(id)

    modal.addEventListener('hide.bs.offcanvas', async event => {
        await componentInstance.invokeMethodAsync("OnHide");
    });

    modal.addEventListener('hidden.bs.offcanvas', async event => {
        await componentInstance.invokeMethodAsync("OnHidden");
    });

    modal.addEventListener('show.bs.offcanvas', async event => {
        await componentInstance.invokeMethodAsync("OnShow");
    });

    modal.addEventListener('shown.bs.offcanvas', async event => {
        await componentInstance.invokeMethodAsync("OnShown");
    });

    return {
        dispose: () => dispose(id)
    };
}

export function show(id) {
    getOrCreateInstance(id).show();
}

export function hide(id) {
    getOrCreateInstance(id).hide();
}

export function toggle(id) {
    getOrCreateInstance(id).toggle();
}

export function getOrCreateInstance(id) {
    const element = bootstrap.Offcanvas.getOrCreateInstance('#' + id);
    return element;
}

export function dispose(id) {
    const offcanvas = bootstrap.Offcanvas.getInstance('#' + id);
    if (offcanvas) {

        // Bug fix: If the offcanvas is not closed during navigation (Ex: if link in the offcanvas)
        document.body.style.paddingLeft = '';
        document.body.style.paddingRight = '';
        document.body.style.overflow = '';

        const elements = document.querySelectorAll('.offcanvas-backdrop');
        elements.forEach(element => {
            element.remove();
        });
    }
}