// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

export async function init(dotNetObject, element, sitekeyValue) {

    if (typeof grecaptcha == 'undefined') {
        console.error('Google Recaptcha script is missing. Please add it in index.html:', '<script src="https://www.google.com/recaptcha/api.js"></script>');
    }

    var tag = document.createElement("div");
    element.innerHTML = '';
    element.appendChild(tag);

    const grecaptchaRender = () => {
        return new Promise((resolve, reject) => {
            grecaptcha.ready(() => {

                let result = grecaptcha.render(tag, {
                    'sitekey': sitekeyValue,
                    'callback': (response) => { dotNetObject.invokeMethodAsync('CallbackOnSuccess', response); },
                    'expired-callback': () => { dotNetObject.invokeMethodAsync('CallbackOnExpired', response); }
                });

                resolve(result);
            });
        });
    };

    return await grecaptchaRender();
};

export function getResponse(response) {
    return grecaptcha.getResponse(response);
} 